# Daily programing client dart

`daily_programmer_dart_cli` will generate a project skeleton into the current
directory.

## Installation

### Requirements

Nothing.

### To install

```bash
pub global activate daily_programmer_dart_cli
```

### To update, run activate again

```bash
pub global activate daily_programmer_dart_cli
```

## Usage

As anexample, here is how you create a package with `daily_programmer_dart_cli`
:

```
Usage: daily_programmer_dart_cli <command> [arguments]

Global options:
-h, --help            Print this usage information.
-v, --[no-]verbose    Output extra logging information.

Available commands:
  challenge   Generate a new challenge.
  help        Display help information for daily_programmer.
  project     Generate a new project challenge.
  run         Run one or more challenges.

Run "daily_programmer_dart_cli help <command>" for more information about a command.
```

### Example

```bash
mkdir my_challenges
cd my_challenges
daily_programmer_dart_cli
```

## Challenges ? Wait, what ?

-   [What ?](https://www.reddit.com/r/dailyprogrammer/wiki/index)
-   [Where ?](https://www.reddit.com/r/dailyprogrammer/)
-   With ? [this](https://www.dartlang.org/) and
    [this](https://code.visualstudio.com/)
-   Why ?
    -   Learn dart
    -   Practice software design
    -   Practice programming
    -   Practice problem solving
    -   Keep your programming skills current
    -   Gain insights from peers
    -   Motivation to practice by solving problems
    -   To have fun
    -   ...

## Struct

```bash
.
├── .gitignore
├── bin
│   └── main.dart
├── lib                            # Contains all challenges
│   └── challenge-xxx              # Contains all files of the challenge
│       ├── README.md              # Description of challenge
│       ├── name_of_challenge.dart # Source of challenge
│       └── ...dart
├── pubspec.yaml
└── test
    ├── all.dart                   # Dart file for call all test
    └── challenge-xxx              # Contains test
        └── name_of_challenge.dart
```

## My rules

-   No lint warning
-   Coverage of src > 95%
-   Latest version used
-   Only dart
